package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability585/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSeriesSkuRemoveRequest struct {
	/*
	   系列品移除商品请求     */
	SeriesSkus *domain.AlibabaWdkSeriesSkuRemoveSeriesSkuRequest `json:"series_skus" required:"true" `
}

func (s *AlibabaWdkSeriesSkuRemoveRequest) SetSeriesSkus(v domain.AlibabaWdkSeriesSkuRemoveSeriesSkuRequest) *AlibabaWdkSeriesSkuRemoveRequest {
	s.SeriesSkus = &v
	return s
}

func (req *AlibabaWdkSeriesSkuRemoveRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.SeriesSkus != nil {
		paramMap["series_skus"] = util.ConvertStruct(*req.SeriesSkus)
	}
	return paramMap
}

func (req *AlibabaWdkSeriesSkuRemoveRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
